{* editSponzor *}
<a href="#" class="text-primary" data-bs-toggle="modal" data-bs-target="#editSponzorModal-{$data->id}">
    <i class="fa-solid fa-edit me-2"></i>Editovat
</a>
{*modal nový sponzor*}
<form n:name=editSponzorForm>
    <!-- Modal -->
    <div class="modal fade" id="editSponzorModal-{$data->id}" tabindex="-1" aria-labelledby="editSponzorModal-{$data->id}" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title mb-0">Editace sponzora</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <label class="form-label">Název sponzora</label>
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                        <input n:name="nazev" class="form-control" placeholder="Název sponzora">
                    </div>
                    <label class="form-label">Internetová adresa</label>
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-globe"></i></span>
                        <input n:name="url" class="form-control" placeholder="Internetová adresa">
                    </div>
                    {if $data->logo}
                        <hr>
                        <h6>Původní logo</h6>
                        <div class="d-flex justify-content-center p-3">
                            <img src="{$basePath}/src/images/sponzori/{$data->id}/{$data->logo}" class="img-fluid" style="max-height: 8rem; max-width: 75%">
                        </div>
                    {/if}
                    <hr>
                    <label class="form-label">Nové logo</label>
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-image"></i></span>
                        <input n:name="logo" class="form-control logo-edit-sponzor-{$data->id}">
                    </div>
                    <div class="d-flex justify-content-center p-3" id="logo-edit-sponzor-preview-{$data->id}"></div>
                </div>
                <div class="modal-footer">
                    <a href="#" class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <button n:name="send" class="btn btn-success send"><i class="fas fa-save me-2"></i>Uložit</button>
                </div>
            </div>
        </div>
    </div>
</form>
<script>
    $(document).ready(function(){
        $('.logo-edit-sponzor-{$data->id}').change(function(){
            $("#logo-edit-sponzor-preview-{$data->id}").html('');
            for (var i = 0; i < $(this)[0].files.length; i++) {
                $("#logo-edit-sponzor-preview-{$data->id}").append('<img src="'+window.URL.createObjectURL(this.files[i])+'" class="img-fluid" style="max-height: 8rem; max-width: 75%"/>');
            }
        });
    });
</script>